For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Cart Emails
        • Custom Template Associations
        • Email Templates
        • Pages
        • Marketing
        • Store Content
              • GETList Redirects
              • PUTUpsert Redirects
              • DELDelete Redirects
        • Themes
        • Widgets
        • Page Widgets
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminContentStore ContentRedirects

Upsert Redirects

PUT
https://api.bigcommerce.com/stores/:store_hash/v3/storefront/redirects
PUT
/stores/:store_hash/v3/storefront/redirects
$curl -X PUT https://api.bigcommerce.com/stores/store_hash/v3/storefront/redirects \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '[
> {
> "from_path": "/summer-sale-2023/",
> "site_id": 42
> }
>]'
201Created
1{
2 "data": [
3 {
4 "id": 1024,
5 "site_id": 42,
6 "from_path": "/summer-sale-2023",
7 "to": {
8 "type": "category",
9 "entity_id": 58,
10 "url": "/categories/summer-collection/"
11 },
12 "to_url": "https://store.example.com/categories/summer-collection"
13 }
14 ],
15 "meta": {
16 "pagination": {
17 "total": 246,
18 "count": 5,
19 "per_page": 5,
20 "current_page": 1,
21 "total_pages": 50,
22 "links": {
23 "next": "?limit=5&page=2",
24 "current": "?limit=5&page=1"
25 }
26 }
27 }
28}
Upserts new redirect data across all storefronts.
Was this page helpful?
Previous

Get Count of Redirects

Next

List Redirect Import-Export Jobs

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Content | modify | `store_v2_content` | | Content | read-only | `store_v2_content_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

This endpoint expects a list of objects.
from_pathstringRequired
site_idintegerRequired
toobjectOptional

Response

Created
datalist of objects
metaobject

OAuth scopes

UI NamePermissionParameter
Contentmodifystore_v2_content
Contentread-onlystore_v2_content_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.